- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Friends

# QTextFrameFormat Class Reference

Search for all occurrences

## Detailed Description

Definition at line 664 of file qtextformat.h.

`#include <qtextformat.h>`

Inheritance diagram for QTextFrameFormat:
[legend]

List of all members.

## Public Types
enum | Position { InFlow, FloatLeft, FloatRight }
enum | BorderStyle { BorderStyle_None, BorderStyle_Dotted, BorderStyle_Dashed, BorderStyle_Solid, BorderStyle_Double, BorderStyle_DotDash, BorderStyle_DotDotDash, BorderStyle_Groove, BorderStyle_Ridge, BorderStyle_Inset, BorderStyle_Outset }
## Public Member Functions
| QTextFrameFormat ()
bool | isValid () const
void | setPosition (Position f)
Position | position () const
void | setBorder (qreal border)
qreal | border () const
void | setBorderBrush (const QBrush &brush)
QBrush | borderBrush () const
void | setBorderStyle (BorderStyle style)
BorderStyle | borderStyle () const
void | setMargin (qreal margin)
qreal | margin () const
void | setTopMargin (qreal margin)
qreal | topMargin () const
void | setBottomMargin (qreal margin)
qreal | bottomMargin () const
void | setLeftMargin (qreal margin)
qreal | leftMargin () const
void | setRightMargin (qreal margin)
qreal | rightMargin () const
void | setPadding (qreal padding)
qreal | padding () const
void | setWidth (qreal width)
void | setWidth (const QTextLength &length)
QTextLength | width () const
void | setHeight (qreal height)
void | setHeight (const QTextLength &height)
QTextLength | height () const
void | setPageBreakPolicy (PageBreakFlags flags)
PageBreakFlags | pageBreakPolicy () const
## Protected Member Functions
| QTextFrameFormat (const QTextFormat &fmt)
## Friends
class | QTextFormat

## Member Enumeration Documentation

enum Position

Search for all occurrences

Enumerator:

  InFlow | Search for all occurrences
  FloatLeft | Search for all occurrences
  FloatRight | Search for all occurrences

Definition at line 671 of file qtextformat.h.

                      {
            InFlow,
            FloatLeft,
            FloatRight
            // ######
    //        Absolute
        };

enum BorderStyle

Search for all occurrences

Enumerator:

  BorderStyle_None | Search for all occurrences
  BorderStyle_Dotted | Search for all occurrences
  BorderStyle_Dashed | Search for all occurrences
  BorderStyle_Solid | Search for all occurrences
  BorderStyle_Double | Search for all occurrences
  BorderStyle_DotDash | Search for all occurrences
  BorderStyle_DotDotDash | Search for all occurrences
  BorderStyle_Groove | Search for all occurrences
  BorderStyle_Ridge | Search for all occurrences
  BorderStyle_Inset | Search for all occurrences
  BorderStyle_Outset | Search for all occurrences

Definition at line 679 of file qtextformat.h.

                         {
            BorderStyle_None,
            BorderStyle_Dotted,
            BorderStyle_Dashed,
            BorderStyle_Solid,
            BorderStyle_Double,
            BorderStyle_DotDash,
            BorderStyle_DotDotDash,
            BorderStyle_Groove,
            BorderStyle_Ridge,
            BorderStyle_Inset,
            BorderStyle_Outset
        };

## Constructor & Destructor Documentation

QTextFrameFormat | ( |  | ) |

QTextFrameFormat | ( | const QTextFormat & | fmt | ) | `[explicit, protected]`

## Member Function Documentation

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QTextFormat.

Reimplemented in QTextTableFormat.

Definition at line 669 of file qtextformat.h.

    { return isFrameFormat(); }

void setPosition | ( | Position | f | ) | `[inline]`

Search for all occurrences

Definition at line 693 of file qtextformat.h.

        { setProperty(CssFloat, f); }

Position position | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 695 of file qtextformat.h.

        { return static_cast<Position>(intProperty(CssFloat)); }

void setBorder | ( | qreal | border | ) | `[inline]`

Search for all occurrences

Definition at line 753 of file qtextformat.h.

    { setProperty(FrameBorder, aborder); }

qreal border | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 699 of file qtextformat.h.

        { return doubleProperty(FrameBorder); }

void setBorderBrush | ( | const QBrush & | brush | ) | `[inline]`

Search for all occurrences

Definition at line 702 of file qtextformat.h.

        { setProperty(FrameBorderBrush, brush); }

QBrush borderBrush | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 704 of file qtextformat.h.

        { return brushProperty(FrameBorderBrush); }

void setBorderStyle | ( | BorderStyle | style | ) | `[inline]`

Search for all occurrences

Definition at line 707 of file qtextformat.h.

        { setProperty(FrameBorderStyle, style); }

BorderStyle borderStyle | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 709 of file qtextformat.h.

        { return static_cast<BorderStyle>(intProperty(FrameBorderStyle)); }

void setMargin | ( | qreal | margin | ) |

Search for all occurrences

qreal margin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 713 of file qtextformat.h.

        { return doubleProperty(FrameMargin); }

void setTopMargin | ( | qreal | margin | ) | `[inline]`

Search for all occurrences

Definition at line 767 of file qtextformat.h.

    { setProperty(FrameTopMargin, amargin); }

qreal topMargin | ( |  | ) | const

Search for all occurrences

void setBottomMargin | ( | qreal | margin | ) | `[inline]`

Search for all occurrences

Definition at line 770 of file qtextformat.h.

    { setProperty(FrameBottomMargin, amargin); }

qreal bottomMargin | ( |  | ) | const

Search for all occurrences

void setLeftMargin | ( | qreal | margin | ) | `[inline]`

Search for all occurrences

Definition at line 773 of file qtextformat.h.

    { setProperty(FrameLeftMargin, amargin); }

qreal leftMargin | ( |  | ) | const

Search for all occurrences

void setRightMargin | ( | qreal | margin | ) | `[inline]`

Search for all occurrences

Definition at line 776 of file qtextformat.h.

    { setProperty(FrameRightMargin, amargin); }

qreal rightMargin | ( |  | ) | const

Search for all occurrences

void setPadding | ( | qreal | padding | ) | `[inline]`

Search for all occurrences

Definition at line 756 of file qtextformat.h.

    { setProperty(FramePadding, apadding); }

qreal padding | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 729 of file qtextformat.h.

        { return doubleProperty(FramePadding); }

void setWidth | ( | qreal | width | ) | `[inline]`

Search for all occurrences

Definition at line 759 of file qtextformat.h.

    { setProperty(FrameWidth, QTextLength(QTextLength::FixedLength, awidth)); }

void setWidth | ( | const QTextLength & | length | ) | `[inline]`

Search for all occurrences

Definition at line 733 of file qtextformat.h.

        { setProperty(FrameWidth, length); }

QTextLength width | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 735 of file qtextformat.h.

        { return lengthProperty(FrameWidth); }

void setHeight | ( | qreal | height | ) | `[inline]`

Search for all occurrences

Definition at line 762 of file qtextformat.h.

    { setProperty(FrameHeight, QTextLength(QTextLength::FixedLength, aheight)); }

void setHeight | ( | const QTextLength & | height | ) | `[inline]`

Search for all occurrences

Definition at line 764 of file qtextformat.h.

    { setProperty(FrameHeight, aheight); }

QTextLength height | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 740 of file qtextformat.h.

        { return lengthProperty(FrameHeight); }

void setPageBreakPolicy | ( | PageBreakFlags | flags | ) | `[inline]`

Search for all occurrences

Definition at line 743 of file qtextformat.h.

        { setProperty(PageBreakPolicy, int(flags)); }

PageBreakFlags pageBreakPolicy | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 745 of file qtextformat.h.

        { return PageBreakFlags(intProperty(PageBreakPolicy)); }

## Friends And Related Function Documentation

friend class QTextFormat `[friend]`

Search for all occurrences

Reimplemented in QTextTableFormat.

Definition at line 750 of file qtextformat.h.

The documentation for this class was generated from the following file:

- QtGui/qtextformat.h

QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat
QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat QTextFrameFormat